package com.ozs.appshow.dto.mdm;

import io.swagger.annotations.ApiModelProperty;

/**
 * 
 * @ClassName: MdmInfoTable
 * @Description: 数据表信息表实体类
 * @author: Zhao You Kai
 * @date: Feb 19, 2019 4:20:22 PM
 */
public class MdmInfoTable {

	@ApiModelProperty("ID")
	private String id;

	@ApiModelProperty("表名称")
	private String tableName;
	@ApiModelProperty("表注释（中文名）")
	private String tableComment;
	@ApiModelProperty("所属数据库ID")
	private String databaseId;
	@ApiModelProperty("创建人ID")
	private String updateUserId;
	@ApiModelProperty("更新时间")
	private String updateTime;
	@ApiModelProperty("编码")
	private Integer charset;
	@ApiModelProperty("hive建表行分割符")
	private Integer hiveSeparatorRow;
	@ApiModelProperty("hive建表列分割符")
	private Integer hiveSeparatorColumn;
	@ApiModelProperty("hive建表分区")
	private String hivePartition;

	public Integer getHiveSeparatorRow() {
		return hiveSeparatorRow;
	}

	public void setHiveSeparatorRow(Integer hiveSeparatorRow) {
		this.hiveSeparatorRow = hiveSeparatorRow;
	}

	public Integer getHiveSeparatorColumn() {
		return hiveSeparatorColumn;
	}

	public void setHiveSeparatorColumn(Integer hiveSeparatorColumn) {
		this.hiveSeparatorColumn = hiveSeparatorColumn;
	}

	public String getHivePartition() {
		return hivePartition;
	}

	public void setHivePartition(String hivePartition) {
		this.hivePartition = hivePartition;
	}

	public String getUpdateUserId() {
		return updateUserId;
	}

	public void setUpdateUserId(String updateUserId) {
		this.updateUserId = updateUserId;
	}

	public Integer getCharset() {
		return charset;
	}

	public void setCharset(Integer charset) {
		this.charset = charset;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTableName() {
		return tableName;
	}

	public void setTableName(String tableName) {
		this.tableName = tableName;
	}

	public String getTableComment() {
		return tableComment;
	}

	public void setTableComment(String tableComment) {
		this.tableComment = tableComment;
	}

	public String getDatabaseId() {
		return databaseId;
	}

	public void setDatabaseId(String databaseId) {
		this.databaseId = databaseId;
	}

	public String getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

}
